# OpalMixerNode::VideoMixer Struct Reference

`#include <opalmixer.h>`

Inheritance diagram for OpalMixerNode::VideoMixer:

[legend]
Collaboration diagram for OpalMixerNode::VideoMixer:
[legend]

## Public Member Functions

| VideoMixer (const OpalMixerNodeInfo &info)
| ~VideoMixer ()
virtual bool | OnMixed (RTP_DataFrame *&output)

## Data Fields

PDictionary< PString, OpalTranscoder > | m_transcoders

## Constructor & Destructor Documentation

OpalMixerNode::VideoMixer::VideoMixer | ( | const OpalMixerNodeInfo & | info | ) |

OpalMixerNode::VideoMixer::~VideoMixer | ( |  | ) |

## Member Function Documentation

virtual bool OpalMixerNode::VideoMixer::OnMixed | ( | RTP_DataFrame *& | output | ) | `[virtual]`

Mixed data is now available. For a push model system, this is called with mixed data as returned by ReadMixed().

The "mixed" parameter is a reference to a pointer, so if the consumer wishes to take responsibility for deleting the pointer to an RTP data frame, then they can set it to NULL.

If false is returned then the push thread is exited.

Reimplemented from OpalBaseMixer.

## Field Documentation

PDictionary<PString, OpalTranscoder> OpalMixerNode::VideoMixer::m_transcoders

The documentation for this struct was generated from the following file:

- opalmixer.h